@echo off

>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"

if '%errorlevel%' NEQ '0' (

    echo 관리 권한을 요청 ...

    goto UACPrompt

) else ( goto gotAdmin )

:UACPrompt

    echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"

    set params = %*:"=""

    echo UAC.ShellExecute "cmd.exe", "/c %~s0 %params%", "", "runas", 1 >> "%temp%\getadmin.vbs"



    "%temp%\getadmin.vbs"

    rem del "%temp%\getadmin.vbs"

    exit /B



:gotAdmin

pushd "%CD%"

    CD /D "%~dp0"

//기존 사용중인 폰트 제거
del  /s /f /q "prestringtable\font\*.*"
rd /s /q "prestringtable\font"
rd /s /q "prestringtable"

//폰트 폴더 생성
mkdir "prestringtable"
mkdir "prestringtable\font"

//폰트파일 이동 및 파일명 변경
move "*.ttf" "prestringtable\font"
cd "prestringtable\font"
ren *.ttf pearl.ttf
cd..
cd..

//폰트파일 없을시 제거
rd "prestringtable\font"
rd "prestringtable"

//인스톨 파일 제거
del  /s /f /q "font_install.bat"